Page MenuHomePhabricator

Create maintenance script for renameuser
Closed, ResolvedPublic

Description

Author: jille

Description:
I would love to see a maintenance-script that can rename users, so I can rename users from scripts instead of having to use the webinterface.


Version: unspecified
Severity: enhancement

Details

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:04 AM
bzimport set Reference to bz33459.
bzimport added a subscriber: Unknown Object (MLST).

Change 588382 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/Renameuser@master] Add renameUser.php script

https://gerrit.wikimedia.org/r/588382

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 13 2020, 10:27 AM

Back then it was a complicated thing but after the actor normalization, renaming users from the interface should be pretty easy and fast now. I'm not 100% sure what's the reasoning behind this request given the current situation.

@Ladsgroup Sometimes, it's necessary to make a local rename as part of sysadmin duties (cf T223036). As a steward, I can rename an user locally as well, but when I handled the linked task, I needed to use eval to execute RenameuserSQL directly. I believe better solution would be to just call a maint script to invoke the rename.

Change 588382 merged by jenkins-bot:
[mediawiki/extensions/Renameuser@master] Add renameUser.php script

https://gerrit.wikimedia.org/r/588382

Urbanecm closed this task as Resolved.Aug 20 2020, 9:49 AM